%undefine __libtoolize
%define unstable 0

%define qtdir /usr/lib/qt3
%add_findprov_lib_path %_libdir/kde3

Name: kdeaccessibility
Version: 3.2.3
Release: alt1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - accessibility programs
License: GPL
URL: http://www.kde.org

Requires: %name-kmag = %version-%release
Requires: %name-kmousetool = %version-%release
Requires: %name-kmouth = %version-%release

Source: %name-%version.tar.bz2
#Source: kdeaccessibility-3.0.98.tar.bz2

Patch1: 3.2.0-flags.patch

#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base

# Automatically added by buildreq on Fri Mar 05 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel

%description
K Desktop Environment - accessibility programs

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
#
%description common
Common empty package for %name

%package kmag
Summary: A screen magnifier for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmag
Kmag is a KDE screen magnifier for the visually impaired.

%package kmousetool
Summary: KDE mouse manipulation tool
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmousetool
Kmousetool  is  a KDE mouse manipulation tool aimed to help
aid disabled people but useful for  many.   It  includes  features  and
options  that  provide artificial intelligence on common mouse gestures
to perform actions.

%package kmouth
Summary: A type and say KDE front end for speech synthesizers
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmouth
Kmouth is a type and say KDE front end for speech synthesizers.


%prep
%setup -q
#%setup -q -nkdeaccessibility-3.0.98
%patch1 -p1

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
                    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
		    --program-transform-name=""

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build install DESTDIR=%buildroot

# Create MDK menu structure
install -d %Kb_menudir/

%Kd2m %name-kmag Applications/Accessibility %Kbapplnk/Applications/kmag.desktop %Kb_menudir/%name-kmag kde
%Kd2m %name-kmousetool Applications/Accessibility %Kbapplnk/Applications/kmousetool.desktop %Kb_menudir/%name-kmousetool kde
%Kd2m %name-kmouth Applications/Accessibility %Kbapplnk/Applications/kmouth.desktop %Kb_menudir/%name-kmouth kde


%post kmag
%update_menus
%postun kmag
%clean_menus

%post kmousetool
%update_menus
%postun kmousetool
%clean_menus

%post kmouth
%update_menus
%postun kmouth
%clean_menus


%files
%files common

%files kmag
%_bindir/kmag
%_datadir/apps/kmag
%_iconsdir/*/*/apps/kmag.png
%doc %_docdir/HTML/en/kmag
%Kapplnk/Applications/kmag.desktop
%_menudir/%name-kmag

%files kmousetool
%_bindir/kmousetool
%_datadir/apps/kmousetool
%_iconsdir/*/*/apps/kmousetool.png
%doc %_docdir/HTML/en/kmousetool
%Kapplnk/Applications/kmousetool.desktop
%_menudir/%name-kmousetool

%files kmouth
%_bindir/kmouth
%_datadir/apps/kmouth
#/usr/share/config/kmouthrc
%doc %_docdir/HTML/en/kmouth
%_iconsdir/*/*/apps/kmouth.png
%Kapplnk/Applications/kmouth.desktop
%_menudir/%name-kmouth

%changelog
* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Tue Apr 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH 

* Fri Mar 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- initial spec
